#include "uogetopt.h"
#include "mosquitotools.h"

uogetopt2 general_opts[]={
{  0,"show-units", uogo_print_help,UOGO_NOARG|UOGO_EXIT|UOGO_NOLHD, 0,1,
  "Show known units.",
/* 12345678901234567890123456789012345678901234567890 */
  "Pressure may be given as 1.23unit, with unit being one of:\n"
  "  bar (default), mbar, hpa, kpa, atm, psi.\n\n"
  "Volumes may be given as 1.23unit, with unit being one of:\n"
  "  liter (default), cuft.\n\n"
  "Lengths may be given as 1.23unit, with unit being one of:\n"
  "  m or meter (default), cm, mm, f or foot, yard.\n",0},
{0,"copyright", uogo_print_help,UOGO_NOARG|UOGO_HIDDEN|UOGO_EXIT|UOGO_NOLHD,0,0,
"Show copyright.",
"Copyright (C) 2003 Uwe Ohse.\n\n" 
"The software comes with NO WARRANTY, to the extent permitted by law.\n\n" 
"For now this package it is subject "
"to the conditions found in http://www.ohse.de/uwe/licenses/UO-GPL-TEST but "
"it will be free software in the future.",0},
{0,"caveat", uogo_print_help,UOGO_NOARG|UOGO_EXIT|UOGO_NOLHD,0,0,
"Show warnings.",
"This software is still in an early testing stage and may contain "
"serious flaws. Do not bet your life on it!" ,0},
{0,"author", uogo_print_help,UOGO_NOARG|UOGO_HIDDEN|UOGO_EXIT|UOGO_NOLHD,0,0,
  "Show author.",
  "Uwe Ohse, <uwe@ohse.de>.",0},
{0,0,0,0,0,0,0,0,0}
};






