#include "scan__float.h"
#include "uogetopt.h"
#include "mosquitotools.h"
#include "str.h"
static void warn_no_vol(uogetopt_env *e, char *s)
{
  e->out(e,e->program);
  e->out(e,": cannot parse volume: ");
  e->out(e,s);
  e->out(e,"\n");
}
int
do_volume_opt(uogetopt_env *e, uogetopt2 *o,char *s)
{
  unsigned int l;
  float x;
  l=scan__float(s,&x);
  if (!l) {
    warn_no_vol(e,s);
    return 1;
  }
  if (s[l]) {
    if (str_equal(s+l,"l")) {
      /* nothing */
    } else if (str_equal(s+l,"liter")) {
      /* nothing */
    } else if (str_equal(s+l,"cuft")) {
      x*=(FOOT*10)*(FOOT*10)*(FOOT*10);
    } else {
      warn_no_vol(e,s);
      return 1;
    }
  }
  *(float *)o->var=x;
  return 0;
}
