#include <math.h>
#include "fmt.h"
#include "uint64.h"

#include "gen_fmt.h"

static FMT_UFUNC_PAD(dint,uint64,10,"0123456789",'0')


unsigned int fmt__double(char *target,double val, 
  unsigned int pc, unsigned int ac)
{
  double vorkomma;
  double nachkomma;
  double toomuch;
  unsigned int vks=0,nks=0;
  unsigned int i;
  unsigned int minus=0;
  nachkomma=modf(val,&vorkomma);
  if (nachkomma<0 || vorkomma<0) minus=1; /* ignore -0.0 */
  toomuch=1;
  for (i=0;i<ac;i++) {
    nachkomma*=10;
    toomuch*=10;
  }
  nachkomma+=0.5;
  nachkomma=floor(fabs(nachkomma));
  if (nachkomma>=toomuch) {
    nachkomma-=toomuch;
    nachkomma=floor(nachkomma);
    if (vorkomma<0) vorkomma-=1;
    else            vorkomma+=1;
  }
  if (vorkomma<0)
    vorkomma=fabs(vorkomma);
  if (minus)
    if (target) {
      target[0]='-';
      vks++;
      target++;
    }
  i=fmt_dint(target,vorkomma,pc ? pc-vks : pc);
  vks+=i;
  if (target)
  if (target) {
    target+=i;
    target[0]='.';
    target++;
  }
  nks=fmt_dint(target,nachkomma,ac);
  return vks+1+nks;
}

