/* public domain rewrite */

#include "leapsecs.h"

int 
leapsecs_sub(struct tai *t)
{
  int i;
  uint64 ui64;
  int s;

  if (-1==leapsecs_init()) 
    return 0;

  ui64 = t->x;
  s = 0;

  for (i = 0;i < leapsecs_num;++i) {
    if (ui64 < leapsecs[i].x) break;
    ++s;
    if (ui64 == leapsecs[i].x) { t->x = ui64 - s; return 1; }
  }

  t->x = ui64 - s;
  return 0;
}
