/* Reimplementation of Daniel J. Bernsteins tai library.
 * (C) 2001 Uwe Ohse, <uwe@ohse.de>.
 *   Report any bugs to <uwe@ohse.de>.
 * Placed in the public domain.
 */
/* @(#) $Id: s.tai_unpack.c 1.4 01/05/02 11:11:54+00:00 uwe@fjoras.ohse.de $ */
#include "tai.h"
#include "uint32.h"

void
tai_unpack (const char *s, struct tai *target)
{
	uint32 high,low;
	uint32_unpack_big(s+4,&low);
	uint32_unpack_big(s,&high);
	target->x=(((uint64) high)<<32) + low;
}
