#include "strhash.h"
#include "divedata.h"
#include "str.h"
#include "bailout.h"

const char *
gv(strhash *h, const char *s)
{   
  char *got;
  uint32 gotlen;
  static stralloc sa;
  if (!strhash_lookup(h,s,str_len(s),&got,&gotlen)) 
    return 0;
  if (!stralloc_copyb(&sa,got,gotlen)) oom();
  if (!stralloc_0(&sa)) oom();
  return sa.s;
} 

