#include "buffer.h"
#include "divedata.h"
#include "uogetopt.h"

#define FOOT 0.3048

#define COMMON_RELATED_INFO                                          \
  "\n"                                                               \
  "The mosquitotools have a mailing list. Send an empty mail to\n"   \
  "<mosquitotools-subscribe@bulkmail.ohse.de> to subscribe to it.\n\n" \
  "The mosquitotools homepage is at\n" \
  "  http://www.ohse.de/uwe/mosquitotools.html"
#define COMMON_BUGREPORT_INFO                                        \
 "Please report bugs to <mosquitotools@lists.ohse.de>"

extern uogetopt2 general_opts[];

int do_volume_opt(uogetopt_env *env, uogetopt2 *x,char *s);
int do_length_opt(uogetopt_env *env, uogetopt2 *x,char *s);
int do_timelength_opt(uogetopt_env *env, uogetopt2 *x,char *s);
int do_pressure_opt(uogetopt_env *env, uogetopt2 *x,char *s);


void handle_mosquitoget(buffer *b, void (*)(struct dive *));
void format_handler(const char *fn, void (*callback)(struct dive *));



